body {
    margin: 0;
    font-family: Arial, sans-serif;
    color: rgb(251, 255, 240);
}

.background {
    position: fixed;
    inset: 0;
    background:
        linear-gradient(rgba(0,0,0,0.3),rgba(0,0,0,0.3)),
        url("image/background.jpg");

    background-size: cover;
    background-position: center;
    z-index: -1;
}
.page{
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center; 
    padding-top: 10vh; 
}

.main-box {
    width: 80%;
    min-height: 20vh;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 40px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 20px 20px;
    box-sizing: border-box;
}
.projects {
    margin-top: 10px;
    width: 100%;
    display: flex;
    gap: 20px;
    justify-content: center;
    flex-wrap: wrap;
}
.project-box{
    background-color: rgba(255, 255, 255, 0.1);
    color: white;
    white-space: nowrap;
    text-decoration: none;
    padding: 20px;
    
    border-radius: 20px;
    text-align: center;
    font-size: clamp(15px, 2vw, 18px);
    transition: 0.3s;
}
.project-box:hover {
    background-color: rgba(255, 255, 255, 0.25);
    transform: translateY(-5px);
}
@media (max-width: 650px){
.projects {
    margin-top: 10px;
    width: 100%;
    display: flex;
    flex-direction: column; 
    gap: 20px;
    justify-content: center;
}
}

.name {
    color: rgb(251, 255, 240);
    font-size: clamp(30px, 5vw, 40px);
    margin-bottom: 100px;
}
.heading {
    color: rgb(251, 255, 240);
    font-size: clamp(20px, 4vw, 30px);
}
